## org.eclipse.ocl.uml.options
Class UMLEvaluationOptions

    java.lang.Object
      org.eclipse.ocl.uml.options.UMLEvaluationOptions

    public class UMLEvaluationOptions

extends Object

Options applicable to the `UMLEvaluationEnvironment` to customize its evaluation behaviour.

Since:
  1.2

Field Summary
`static Option<EvaluationMode>` `EVALUATION_MODE` Evaluation mode option determining whether we are working with M1 instance models (`UMLEvaluationEnvironment.EvaluationMode#INSTANCE_MODEL`, M0 objects (`UMLEvaluationEnvironment.EvaluationMode#RUNTIME_OBJECTS`), or indeterminate, in which last case we guess on-the-fly (`UMLEvaluationEnvironment.EvaluationMode#ADAPTIVE`).

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EVALUATION_MODE

    public static final Option<EvaluationMode> EVALUATION_MODE

  Evaluation mode option determining whether we are working with M1 instance models (`UMLEvaluationEnvironment.EvaluationMode#INSTANCE_MODEL`, M0 objects (`UMLEvaluationEnvironment.EvaluationMode#RUNTIME_OBJECTS`), or indeterminate, in which last case we guess on-the-fly (`UMLEvaluationEnvironment.EvaluationMode#ADAPTIVE`).

  For compatibility with the 1.1 release behaviour, the default value of this option is `UMLEvaluationEnvironment.EvaluationMode#ADAPTIVE`.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.